# Class ColumnMetadata.Builder

java.lang.Object
com.databricks.jdbc.model.core.ColumnMetadata.Builder

Enclosing class:
  `ColumnMetadata`

public static class ColumnMetadata.Builder extends Object

## Constructor Summary

Constructors
Constructor
Description
`Builder()`

## Method Summary

Modifier and Type
Method
Description
`ColumnMetadata`
`build()`
`ColumnMetadata.Builder`
`name(String name)`
`ColumnMetadata.Builder`
`nullable(int nullable)`
`ColumnMetadata.Builder`
`precision(int precision)`
`ColumnMetadata.Builder`
`scale(int scale)`
`ColumnMetadata.Builder`
`typeInt(int typeInt)`
`ColumnMetadata.Builder`
`typeText(String typeText)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Builder

public Builder()

## Method Details

### name

public ColumnMetadata.Builder name(String name)

### typeText

public ColumnMetadata.Builder typeText(String typeText)

### typeInt

public ColumnMetadata.Builder typeInt(int typeInt)

### precision

public ColumnMetadata.Builder precision(int precision)

### scale

public ColumnMetadata.Builder scale(int scale)

### nullable

public ColumnMetadata.Builder nullable(int nullable)

### build

public ColumnMetadata build()